> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Create a project

POST /api/projects
Content-Type: application/json

Creates a standalone project, or one from a template (which additionally requires `project-template:use` on the template). Requires `project:create`.

Reference: https://docs.cloudraker.com/api/raker-one-api/projects/post-projects

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: RakerOne API
  version: 1.0.0
paths:
  /projects:
    post:
      operationId: post-projects
      summary: Create a project
      description: >-
        Creates a standalone project, or one from a template (which additionally
        requires `project-template:use` on the template). Requires
        `project:create`.
      tags:
        - subpackage_projects
      parameters:
        - name: Authorization
          in: header
          description: >-
            WorkOS session JWT or an organization API key, sent as
            `Authorization: Bearer <token>`.
          required: true
          schema:
            type: string
      responses:
        '201':
          description: The created project.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponse'
        '400':
          description: Bad request — the body or parameters failed validation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized — missing or invalid bearer token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden — the caller lacks the required permission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                  default: ''
                icon:
                  type: string
                prefix:
                  type: string
                templateId:
                  type: string
                access:
                  $ref: >-
                    #/components/schemas/ProjectsPostRequestBodyContentApplicationJsonSchemaAccess
                sections:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ProjectsPostRequestBodyContentApplicationJsonSchemaSectionsItems
                storageBackend:
                  $ref: >-
                    #/components/schemas/ProjectsPostRequestBodyContentApplicationJsonSchemaStorageBackend
              required:
                - name
                - icon
servers:
  - url: /api
    description: Current origin
  - url: https://app.raker.one/api
    description: Production
components:
  schemas:
    ProjectsPostRequestBodyContentApplicationJsonSchemaAccess:
      type: object
      properties:
        roles:
          type: array
          items:
            type: string
          default: []
        userIds:
          type: array
          items:
            type: string
          default: []
      title: ProjectsPostRequestBodyContentApplicationJsonSchemaAccess
    ProjectsPostRequestBodyContentApplicationJsonSchemaSectionsItems:
      type: object
      properties:
        id:
          type: string
        kind:
          type: string
        title:
          type: string
        config:
          type: object
          additionalProperties:
            description: Any type
          default: {}
      required:
        - id
        - kind
        - title
      title: ProjectsPostRequestBodyContentApplicationJsonSchemaSectionsItems
    ProjectsPostRequestBodyContentApplicationJsonSchemaStorageBackendKind:
      type: string
      enum:
        - managed
        - sharepoint
        - drive
      title: ProjectsPostRequestBodyContentApplicationJsonSchemaStorageBackendKind
    ProjectsPostRequestBodyContentApplicationJsonSchemaStorageBackend:
      type: object
      properties:
        kind:
          $ref: >-
            #/components/schemas/ProjectsPostRequestBodyContentApplicationJsonSchemaStorageBackendKind
        credentialId:
          type:
            - string
            - 'null'
        rootDirectoryId:
          type:
            - string
            - 'null'
      required:
        - kind
      title: ProjectsPostRequestBodyContentApplicationJsonSchemaStorageBackend
    Section:
      type: object
      properties:
        id:
          type: string
        kind:
          type: string
        title:
          type: string
        config:
          type: object
          additionalProperties:
            description: Any type
      required:
        - id
        - kind
        - title
        - config
      title: Section
    AccessList:
      type: object
      properties:
        roles:
          type: array
          items:
            type: string
        userIds:
          type: array
          items:
            type: string
      required:
        - roles
        - userIds
      title: AccessList
    ProjectStatus:
      type: string
      enum:
        - active
        - closed
      title: ProjectStatus
    ProjectStorageBackendKind:
      type: string
      enum:
        - managed
        - sharepoint
        - drive
      title: ProjectStorageBackendKind
    ProjectStorageBackend:
      type: object
      properties:
        kind:
          $ref: '#/components/schemas/ProjectStorageBackendKind'
        credentialId:
          type:
            - string
            - 'null'
        rootDirectoryId:
          type:
            - string
            - 'null'
      required:
        - kind
      title: ProjectStorageBackend
    Project:
      type: object
      properties:
        _id:
          type: string
        number:
          type: number
          format: double
        prefix:
          type: string
        numberKey:
          type: string
        name:
          type: string
        description:
          type: string
        icon:
          type: string
        templateId:
          type:
            - string
            - 'null'
        sections:
          type: array
          items:
            $ref: '#/components/schemas/Section'
        access:
          $ref: '#/components/schemas/AccessList'
        status:
          $ref: '#/components/schemas/ProjectStatus'
        closedAt:
          type:
            - string
            - 'null'
        storageBackend:
          $ref: '#/components/schemas/ProjectStorageBackend'
        createdAt:
          type: string
        updatedAt:
          type: string
        createdBy:
          type: string
        createdByAttribution:
          type:
            - string
            - 'null'
        provisionAttempt:
          type:
            - string
            - 'null'
      required:
        - _id
        - number
        - prefix
        - numberKey
        - name
        - description
        - icon
        - templateId
        - sections
        - access
        - status
        - closedAt
        - createdAt
        - updatedAt
        - createdBy
        - createdByAttribution
        - provisionAttempt
      title: Project
    ProjectResponse:
      type: object
      properties:
        project:
          $ref: '#/components/schemas/Project'
      required:
        - project
      title: ProjectResponse
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Machine-readable error code (e.g. `invalid_body`, `not_found`).
        issues:
          type: array
          items:
            description: Any type
          description: Schema-validation issues, present when `error` is `invalid_body`.
      required:
        - error
      description: Standard API error response.
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        WorkOS session JWT or an organization API key, sent as `Authorization:
        Bearer <token>`.

```

## Examples



**Request**

```json
{
  "name": "Marketing Campaign Q3",
  "icon": "megaphone"
}
```

**Response**

```json
{
  "project": {
    "_id": "64b8f9a2e4b0c123456789ab",
    "number": 42,
    "prefix": "MK42",
    "numberKey": "MK42-2024",
    "name": "Marketing Campaign Q3",
    "description": "Project for managing all marketing activities in Q3 2024.",
    "icon": "megaphone",
    "templateId": "tpl-987654321",
    "sections": [
      {
        "id": "sec-001",
        "kind": "task-list",
        "title": "Initial Planning",
        "config": {}
      }
    ],
    "access": {
      "roles": [
        "project-manager",
        "marketing-team"
      ],
      "userIds": [
        "user-1234",
        "user-5678"
      ]
    },
    "status": "active",
    "closedAt": "null",
    "createdAt": "2024-06-15T09:30:00Z",
    "updatedAt": "2024-06-15T09:30:00Z",
    "createdBy": "user-1234",
    "createdByAttribution": "Marketing Department",
    "provisionAttempt": "successful",
    "storageBackend": {
      "kind": "managed",
      "credentialId": "cred-abc123",
      "rootDirectoryId": "dir-xyz789"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api/projects"

payload = {
    "name": "Marketing Campaign Q3",
    "icon": "megaphone"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api/projects';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Marketing Campaign Q3","icon":"megaphone"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api/projects"

	payload := strings.NewReader("{\n  \"name\": \"Marketing Campaign Q3\",\n  \"icon\": \"megaphone\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Marketing Campaign Q3\",\n  \"icon\": \"megaphone\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api/projects")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Marketing Campaign Q3\",\n  \"icon\": \"megaphone\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api/projects', [
  'body' => '{
  "name": "Marketing Campaign Q3",
  "icon": "megaphone"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/projects");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Marketing Campaign Q3\",\n  \"icon\": \"megaphone\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Marketing Campaign Q3",
  "icon": "megaphone"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```